Subject: bug#37002: make: *** [Makefile:308: kotl/kotl-autoloads.el] Fehler 255

From: Robert Weiner <[email-masked]>
Date: Mon, 12 Aug 2019 22:15:58 -0400

OK, I have applied that patch for the next release.

I will close this issue unless there is any further comment.

Bob

On Sat, Aug 10, 2019 at 5:55 PM Mats Lidell <[email-masked]> wrote:

> Hi Jean,
>
> > Jean Louis writes:
> > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> toolkit, Xaw3d scroll bars)
> >
> >         Hyperbole:   7.0.3a
> >         Sys Type:    x86_64-pc-linux-gnu
> >         OS Type:     gnu/linux
> >         Window Sys:  x
> >         News Reader: Gnus v5.13
> >
> > Some error with `make pkg`
> >
> > Output written on hyperbole.pdf (154 pages, 1274969 bytes).
> > Transcript written on hyperbole.log.
> > \emacs -batch -Q -eval '(progn (let ((generated-autoload-file
> > (expand-file-name "kotl/kotl-autoloads.el")))
> > (update-directory-autoloads (expand-file-name "kotl/"))))' && \rm -f
> > kotl/kotl-autoloads.el~
> > Wrong type argument: stringp, nil
> > make: *** [Makefile:308: kotl/kotl-autoloads.el] Fehler 255
>
> Thanks for keeping the reports coming. I have noticed this problem and the
> patch below makes it work for me. I haven't got a clue why changing the
> *let* to a *setq* makes things different!? (If anyone who reads this knows
> please let me know!)
>
> Having said that - The Makefile targets are developer only and should not
> be something a user of the package should have to care about. (But should
> work of course if tested. So thanks again for the report.)
>
> ----------------------------------------------------------------------
> diff --git a/Makefile b/Makefile
> index 656eb2b..4201855 100644
> --- a/Makefile
> +++ b/Makefile
> @@ -306,7 +306,7 @@ ftp: package
>         cd $(pkg_dir) && $(GNUFTP) hyperbole-$(HYPB_VERSION).tar.gz
>
>  kotl/kotl-autoloads.el: $(EL_KOTL)
> -       $(EMACS) $(BATCHFLAGS) -eval '(progn (let
> ((generated-autoload-file (expand-file-name "kotl/kotl-autoloads.el")))
> (update-directory-autoloads (expand-file-name "kotl/"))))' && $(RM)
> kotl/kotl-autoloads.el~
> +       $(EMACS) $(BATCHFLAGS) -eval '(progn (setq generated-autoload-file
> (expand-file-name "kotl/kotl-autoloads.el")) (update-directory-autoloads
> (expand-file-name "kotl/")))' && $(RM) kotl/kotl-autoloads.el~
>  #      $(EMACS) $(BATCHFLAGS) -eval '(progn (let
> ((generated-autoload-file (expand-file-name "kotl/kotl-autoloads.el")))
> (update-directory-autoloads (expand-file-name "kotl/"))))' && sed -i '3 i
> ;; Copyright (C) 2017  Free Software Foundation, Inc.\n;;' $@ && $(RM)
> kotl/kotl-autoloads.el~
>
>  # Used for ftp.gnu.org tarball distributions.
> ----------------------------------------------------------------------
>
> Yours
> --
> %% Mats
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>